MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025880Community[OCCT] OCCT:Modeling Algorithmspublic2015-03-02 00:392015-05-14 16:29
Reportershoogen 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025880: fuzzy booleans with multiple tools
DescriptionI can use fuzzy boolean and multi tools once at a time. But i got problems to perform a fuzzy operation with multiple tools.

union1.txt correctly performs an exact boolean with one tool at a time.
union1-nulti.txt correctly performs an exact boolean with multiple tools.
union1-fuzzy.txt correctly performs fuzzy booleans with one tool at a time.
union1-fuzzy-multi.txt creates a faulty result when performing a fuzzy boolean with one argument an multiple tools.


Steps To Reproduce#source union1-fuzzy-multi.txt
#bopcheck Fusion

source union1-fuzzy-multi-corrected.txt
checkshape Fusion
nbshapes Fusion
#
# the result of nbshapes command is:
Number of shapes in Fusion
 VERTEX : 32
 EDGE : 51
 WIRE : 20
 FACE : 20
 SHELL : 1
 SOLID : 1
 COMPSOLID : 0
 COMPOUND : 1
 SHAPE : 126
TagsNo tags attached.
Test case numberbugs modalg_6(011) bug25880
Attached Filestxt file icon union1.txt (971 bytes) 2015-03-02 00:39
txt file icon union1-multi.txt (1,122 bytes) 2015-03-02 00:39
txt file icon union1-fuzzy.txt (1,163 bytes) 2015-03-02 00:40
txt file icon union1-fuzzy-multi.txt (1,312 bytes) 2015-03-02 00:40
txt file icon union1-fuzzy-multi-corrected.txt (1,327 bytes) 2015-04-28 11:46

- Relationships
parent of 0025886closedbugmaster Open CASCADE Wrong result obtained by projection algorithm. 

-  Notes
(0040317)
git (administrator)
2015-04-28 11:33

Branch CR25880 has been created by pkv.

SHA-1: ecd58be64a438bf9c166f4c1847413b4221105f2


No new revisions were added by this update.
(0040318)
git (administrator)
2015-04-28 11:42

Branch CR25880 has been updated by pkv.

SHA-1: 2d9b505a94d6100108e070671e21f6effbd6258b


Detailed log of new commits:

Author: pkv
Date: Tue Apr 28 11:42:06 2015 +0300

    0025880: fuzzy booleans with multiple tools
    
    I. New features:
    I.1 class BOPTools_AlgoTools2D
    method:
     Standard_Integer BOPTools_AlgoTools2D::AttachExistingPCurve
       (const TopoDS_Edge& aEold,
        const TopoDS_Edge& aEnew,
        const TopoDS_Face& aF,
        const Handle(IntTools_Context)& aCtx)
    has been added.
    
    Purpose:
      To attach P-Curve on surface of the face <aF> from the edge <aEold>
       to the edge <aEnew>
       It returns 0 in case of success.
    
    II. Changes:
    II.1. class BOPTools_AlgoTools
    method:
     Standard_Boolean BOPTools_AlgoTools::IsSplitToReverse
      (const TopoDS_Face& theFSp,
       const TopoDS_Face& theFSr,
       Handle(IntTools_Context)& theContext)
    
    The condition for a point on the surface of a face has been changed.
    
    II.2. class BOPAlgo_PaveFiller
    method:
     void BOPAlgo_PaveFiller::MakePCurves()
    
    The treatment of E/E common bocks has been changed
    to use mechanism of attacment P-Curves [ I.1 ]
    
    III. Modified entities:
    packages:
    BOPTools
    BOPAlgo

(0040322)
pkv (developer)
2015-04-28 12:03

Git branch CR25880 is ready to be reviewed.
(0040328)
emv (developer)
2015-04-28 12:13

Reviewed.
(0040419)
mkv (tester)
2015-04-29 15:42

Dear BugMaster,
Branch CR25880 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 2d9b505a94d6100108e070671e21f6effbd6258b

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 4 (4 on master)
Windows: 0 (0 on master)

Regressions/Differences:
http://occt-tests/CR25880-master-occt-64/Debian60-64/sewing/tol_0_01/F8.html [^]
http://occt-tests/CR25880-master-occt-64/Windows-64-VC10/sewing/tol_0_01/F8.html [^]
sewing tol_0_01(001) F8: IMPROVEMENT

Testing cases:
http://occt-tests/CR25880-master-occt-64/Debian60-64/bugs/modalg_6/bug25880.html [^]
http://occt-tests/CR25880-master-occt-64/Windows-64-VC10/bugs/modalg_6/bug25880.html [^]
bugs modalg_6(011) bug25880: OK

Testing on Linux:
occt component :
Total MEMORY difference: 95174597 / 94509897 [+0.70%]
Total CPU difference: 53299.279999999206 / 51016.40999999946 [+4.47%]
products component :
Total MEMORY difference: 23741589 / 23753447 [-0.05%]
Total CPU difference: 17874.599999999977 / 17120.949999999957 [+4.40%]

Testing on Windows:
occt component :
Total MEMORY difference: 57253674 / 57265510 [-0.02%]
Total CPU difference: 15789.656815099082 / 15811.013351998972 [-0.14%]
products component :
Total MEMORY difference: 15601234 / 15605919 [-0.03%]
Total CPU difference: 6233.643958999985 / 6275.40542669997 [-0.67%]

There are no differences in images found by testdiff.
(0040420)
git (administrator)
2015-04-29 15:43

Branch CR25880 has been updated by mkv.

SHA-1: 8bd0fc35aea664ac6b5022f525b6928537574671


Detailed log of new commits:

Author: mkv
Date: Wed Apr 29 15:41:35 2015 +0300

    Test case for issue CR25880

(0040421)
mkv (tester)
2015-04-29 15:43

Dear BugMaster,
Test case
sewing tol_0_01(001) F8
was corrected and pushed to branch CR25880 of occt git-repository.
Now it is OK.
(0040422)
mkv (tester)
2015-04-29 15:44

Dear pkv,
could you please review following test case
bugs modalg_6(011) bug25880
(0040449)
pkv (developer)
2015-04-30 05:54

Dear mkv,
The test case
bugs modalg_6(011) bug25880
is OK.
(0040454)
mkv (tester)
2015-04-30 10:55

Dear BugMaster,
Branch CR25880 is TESTED.
(0041005)
git (administrator)
2015-05-14 16:29

Branch CR25880 has been deleted by inv.

SHA-1: 8bd0fc35aea664ac6b5022f525b6928537574671

- Related Changesets
occt: master 905522ee
Timestamp: 2015-04-30 11:41:27
Author: pkv
Committer: bugmaster
Details ] Diff ]
0025880: fuzzy booleans with multiple tools

New features:
class BOPTools_AlgoTools2D
method:
 Standard_Integer BOPTools_AlgoTools2D::AttachExistingPCurve
   (const TopoDS_Edge& aEold,
    const TopoDS_Edge& aEnew,
    const TopoDS_Face& aF,
    const Handle(IntTools_Context)& aCtx)
has been added.

Purpose:
  To attach P-Curve on surface of the face <aF> from the edge <aEold>
   to the edge <aEnew>
   It returns 0 in case of success.

Changes:
1. class BOPTools_AlgoTools
method:
 Standard_Boolean BOPTools_AlgoTools::IsSplitToReverse
  (const TopoDS_Face& theFSp,
   const TopoDS_Face& theFSr,
   Handle(IntTools_Context)& theContext)

The condition for a point on the surface of a face has been changed.

2. class BOPAlgo_PaveFiller
method:
 void BOPAlgo_PaveFiller::MakePCurves()

The treatment of E/E common bocks has been changed
to use mechanism of attacment P-Curves [ I.1 ]

Test case for issue CR25880
mod - src/BOPAlgo/BOPAlgo_PaveFiller_7.cxx Diff ] File ]
mod - src/BOPTools/BOPTools_AlgoTools.cxx Diff ] File ]
mod - src/BOPTools/BOPTools_AlgoTools2D.cdl Diff ] File ]
add - src/BOPTools/BOPTools_AlgoTools2D_1.cxx Diff ] File ]
mod - src/BOPTools/FILES Diff ] File ]
mod - src/GeomLib/GeomLib.cxx Diff ] File ]
add - tests/bugs/modalg_6/bug25880 Diff ] File ]
mod - tests/sewing/tol_0_01/F8 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-03-02 00:39 shoogen New Issue
2015-03-02 00:39 shoogen Assigned To => msv
2015-03-02 00:39 shoogen File Added: union1.txt
2015-03-02 00:39 shoogen File Added: union1-multi.txt
2015-03-02 00:40 shoogen File Added: union1-fuzzy.txt
2015-03-02 00:40 shoogen File Added: union1-fuzzy-multi.txt
2015-03-02 10:13 msv Assigned To msv => pkv
2015-03-02 10:13 msv Status new => assigned
2015-03-03 07:29 pkv Relationship added parent of 0025886
2015-04-28 11:33 git Note Added: 0040317
2015-04-28 11:42 git Note Added: 0040318
2015-04-28 11:45 pkv Steps to Reproduce Updated View Revisions
2015-04-28 11:46 pkv File Added: union1-fuzzy-multi-corrected.txt
2015-04-28 12:03 pkv Note Added: 0040322
2015-04-28 12:03 pkv Assigned To pkv => emv
2015-04-28 12:03 pkv Status assigned => resolved
2015-04-28 12:13 emv Note Added: 0040328
2015-04-28 12:13 emv Assigned To emv => mkv
2015-04-28 12:13 emv Status resolved => reviewed
2015-04-28 12:54 msv Target Version => 6.9.0
2015-04-29 15:42 mkv Note Added: 0040419
2015-04-29 15:42 mkv Test case number => bugs modalg_6(011) bug25880
2015-04-29 15:43 git Note Added: 0040420
2015-04-29 15:43 mkv Note Added: 0040421
2015-04-29 15:44 mkv Note Added: 0040422
2015-04-29 15:44 mkv Assigned To mkv => pkv
2015-04-29 15:44 mkv Status reviewed => feedback
2015-04-30 05:54 pkv Note Added: 0040449
2015-04-30 05:55 pkv Assigned To pkv => mkv
2015-04-30 05:55 pkv Status feedback => reviewed
2015-04-30 10:55 mkv Note Added: 0040454
2015-04-30 10:55 mkv Assigned To mkv => bugmaster
2015-04-30 10:55 mkv Status reviewed => tested
2015-05-07 11:18 bugmaster Changeset attached => occt master 905522ee
2015-05-07 11:18 bugmaster Status tested => verified
2015-05-07 11:18 bugmaster Resolution open => fixed
2015-05-14 15:28 user533 Status verified => closed
2015-05-14 15:30 user533 Fixed in Version => 6.9.0
2015-05-14 16:29 git Note Added: 0041005


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker